Subject: Re: [PATCH net-next 0/2] dpll: zl3073x: consolidate chip info and add temperature reporting

From: Simon Horman <[email-masked]>
Date: Mon, 2 Mar 2026 14:01:31 +0000

On Fri, Feb 27, 2026 at 11:52:58AM +0100, Ivan Vecera wrote:
> This series refactors the ZL3073x chip variant handling and adds die
> temperature reporting for chips that support it.
> 
> Patch 1 replaces the five per-variant chip_info structures and their
> exported symbols with a single consolidated lookup table.  The chip
> variant is now detected at runtime from the chip ID register rather
> than being selected at compile time via bus driver match data. This
> simplifies the I2C/SPI drivers and makes adding new variants a
> single-line table addition.  A flags field replaces the hardcoded
> chip_id switch in zl3073x_dev_is_ref_phase_comp_32bit().
> 
> Patch 2 uses the new flags infrastructure to add die temperature
> reporting for chip variants that provide a temperature status register.
> The temp_get callback is conditionally set during device registration
> based on the ZL3073X_FLAG_DIE_TEMP chip flag.
> 
> Ivan Vecera (2):
>   dpll: zl3073x: detect DPLL channel count from chip ID at runtime
>   dpll: zl3073x: add die temperature reporting for supported chips

For the series,

Reviewed-by: Simon Horman <[email-masked]>